using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.TL
{
    /// <summary>
    /// 回采计划 附件
    /// </summary>
    [Description("回采计划 附件")]
    public class T_TL_BACK_FILE : MesEntityBase
    {
        /// <summary>
        /// 回采计划
        /// </summary>
        [Description("回采计划")]
        [DataFieldForeignKey("Nav_Back", "Nav_Files")]
        public Guid BACK_ID { get; set; }

        /// <summary>
        /// 回采计划
        /// </summary>
        [Description("回采计划")]
        public virtual T_TL_BACK Nav_Back { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
